package omq.test.multiThread2;

import omq.client.annotation.AsyncMethod;
import omq.server.RemoteObject;

public class PrintImpl extends RemoteObject implements Print {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int id;

	public PrintImpl(int id) {
		this.id = id;
	}

	@Override
	@AsyncMethod
	public void printSleep(int i, long sleep) throws InterruptedException {
		System.out.println("i = " + i + ", ID = " + id + ",Thread = " + Thread.currentThread().getId());
		Thread.sleep(sleep);
	}

}
